Skip to content

List notification transports

GET
/notifications/transports
curl --request GET \
--url https://sylve.lan:8181/api/notifications/transports \
--header 'Authorization: <Authorization>'

List administrator-visible notification transport configuration, including credential-presence flags and configured Discord webhook URLs

Success

Media typeapplication/json
object
data
object
transports
Array<object>
object
discord
object
webhookUrl
string
email
object
hasPassword
boolean
recipients
Array<string>
smtpFrom
string
smtpHost
string
smtpPort
integer
smtpUseTls
boolean
smtpUsername
string
enabled
boolean
id
integer
name
string
ntfy
object
baseUrl
string
hasAuthToken
boolean
topic
string
pushover
object
hasApiToken
boolean
hasUserKey
boolean
type
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"transports": [
{
"discord": {
"webhookUrl": "example"
},
"email": {
"hasPassword": true,
"recipients": [
"example"
],
"smtpFrom": "example",
"smtpHost": "example",
"smtpPort": 1,
"smtpUseTls": true,
"smtpUsername": "example"
},
"enabled": true,
"id": 1,
"name": "example",
"ntfy": {
"baseUrl": "example",
"hasAuthToken": true,
"topic": "example"
},
"pushover": {
"hasApiToken": true,
"hasUserKey": true
},
"type": "example"
}
]
},
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}